<?php defined("SYSPATH") or die("No direct script access.");
/**
 * Gallery - a web based photo album viewer and editor
 * Copyright (C) 2000-2009 Bharat Mediratta
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA  02110-1301, USA.
 */
class Edit_tinymce_Controller extends Controller {
  public function index() {
   $item_id = Input::instance()->get("item_id");
    print $this->_get_view($item_id);
  }

  public function handler() {
   $item_id 	= Input::instance()->get("item_id");
   $item_description = stripslashes($_REQUEST["description"]); // access var directly to get around xss filtering.
    access::verify_csrf();
	$form = $this->_get_form();
	if ($form->validate()) {
            $item = ORM::factory("item", $item_id);
            access::required("edit", $item);
            $item->title       = $form->tinymce->title->value;
            $item->description = $item_description;
            $item->save();
		  message::success(t('Item updated  <a class="g-album-link" href="%url" class="g-dialog-link">Return to item</a>.',
          		array("url" => html::mark_clean(url::site("items/$item_id")))));
	   url::redirect("edit_tinymce?item_id=$item_id");
    }
    print $this->_get_view($form);
  }

  private function _get_view($item_id) {
    $v = new Theme_View("page.html", "other", "edittinymce");
    $v->content = new View("edit_tinymce.html");
    $v->content->form = empty($form) ? $this->_get_form($item_id) : $form;
    return $v;
  }

  private function _get_form() {
    $item_id	= Input::instance()->get("item_id");
    $item 		= ORM::factory("item", $item_id);
    $form 		= new Forge("edit_tinymce/handler?item_id=$item_id", "", "post", array("id" => "g-admin-form"));
		
    $group = $form->group("tinymce")
      ->label(t('Rich Text Editor.'));
    $group->input("title")->label(t("Title"))->value($item->title)
      ->error_messages("required", t("You must provide a title"))
      ->error_messages("length", t("Your title is too long"));
	$group->textarea("description")->label(t("Item description"))->value($item->description);

  $group->submit("submit")->value(t("Commit changes"));

  return $form;
  }
}