<?php defined("SYSPATH") or die("No direct script access.");
/**
 * Gallery - a web based photo album viewer and editor
 * Copyright (C) 2000-2009 Bharat Mediratta
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA  02110-1301, USA.
 */
class edit_tinymce_event_Core {
  static function pre_deactivate($data) {
    if ($data->module == "purifier") {
      $data->messages["warn"][] = t("The edit tinymce module requires the purifier module.");
    }
  }
  static function module_change($changes) {
    if (!module::is_active("purifier") || in_array("purifier", $changes->deactivate)) {
      site_status::warning(
        t("The edit tinymce module requires the purifier module.  <a href=\"%url\">Activate the purifier module now</a>",
          array("url" => html::mark_clean(url::site("admin/modules")))),
        "edit_tinymce_needs_purifier");
    } else {
      site_status::clear("edit_tinymce_needs_purifier");
    }
  }
  static function site_menu($menu, $theme) {
    $item = $theme->item();
    $user = identity::active_user();
    $can_edit = $item && access::can("edit", $item)  && edit_tinymce::can_use_tinymce();
    if ($item && $item->is_album() && $can_edit) {
      $menu->get("options_menu")
        ->append(Menu::factory("link")
                 ->id("edit_tiny")
                 ->label(t("Edit album with rich&nbsp;text&nbsp;editor"))
                 ->css_id("g-menu-edit-link")
                 ->url(url::site("edit_tinymce_album?album_id={$item->id}")));
    }
	if ($item && ($item->is_photo() || $item->is_movie()) && $can_edit) {
      $menu->get("options_menu")
        ->append(Menu::factory("link")
                 ->id("eidt_tiny")
                 ->label(t("Edit with rich&nbsp;text&nbsp;editor"))
                 ->css_id("g-menu-edit-link")
                 ->url(url::site("edit_tinymce?item_id={$item->id}")));
    }
  }

  static function context_menu($menu, $theme, $item) {
    $user = identity::active_user();
    $can_edit = $item && access::can("edit", $item)  && edit_tinymce::can_use_tinymce();
	if ($can_edit) {
      if ($item->is_album()) {
	    $menu->get("options_menu")
          ->append(Menu::factory("link")
                   ->id("edit_tiny")
                   ->label(t("Edit album with rich text editor"))
                   ->css_class("ui-icon-pencil")
                   ->url(url::site("edit_tinymce_album?album_id={$item->id}")));
      } else {
        $menu->get("options_menu")
          ->append(Menu::factory("link")
                   ->id("edit_tiny")
                   ->label(t("Edit with rich text editor"))
                   ->css_class("ui-icon-pencil")
                   ->url(url::site("edit_tinymce?item_id={$item->id}")));
      }
    }
  }
  static function admin_menu($menu, $theme) {
    $menu->get("settings_menu")
      ->append(Menu::factory("link")
               ->id("edit-tinymce_menu")
               ->label(t("Edit Tinymce"))
               ->url(url::site("admin/edit_tinymce")));
  }
}